Stop! Tickets are now managed at GitHub.

Please enter new tickets, and find and edit existing tickets there:


Ticket #218 (new defect)

Opened 21 months ago

Last modified 20 months ago

Makefile can't be run with -j4

Reported by: MtnViewMark Owned by: duncan
Priority: major Milestone:
Component: Generic source tarball Keywords:
Cc:

Description

Because we don't encode the package dependencies into the makefile, running -j4 causes havoc - as packages get built in parallel, not in order.

At least we should document this in the README. Better would be to have the makefile somehow reject the -j4 Better still would be for it to actually work!

Change History

Changed 21 months ago by liyang

cabal info cabal-sort

Changed 20 months ago by MtnViewMark

I wouldn't want to make the build dependent on cabal-sort, but it could optionally be. Anyone want to make a patch?

Note: See TracTickets for help on using tickets.